## org.opengis.coverage.grid
Interface GridCell

    @UML(identifier="CV_GridCell",
         specification=ISO_19123)
    public interface GridCell

A grid cell delineated by the grid lines of a grid. Its corners are associated with the grid points at the intersections of the grid lines that bound it

Method Summary
`Set<GridPoint>` `getCorners()` Returns the collection of grid points at the corners of the grid cell.
`Grid` `getFramework()` Returns the grid of which this cell is a component.

Method Detail

### getCorners

    @UML(identifier="corner",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridPoint> getCorners()

  Returns the collection of grid points at the corners of the grid cell. The size of this collection has no upper bound, to allow for grids of any dimension. In a quadrilateral grid, the multiplicity of corner equals 2×d, where d is the value of `Grid.getDimension()`.

  See Also:
    `GridPoint.getCells()`

### getFramework

    @UML(identifier="framework",
         obligation=MANDATORY,
         specification=ISO_19123)
    Grid getFramework()

  Returns the grid of which this cell is a component.

  See Also:
    `Grid.getCells()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.